%define		_class		Date
%define		_subclass	Holidays
%define		_region		Norway
%define		upstream_name	%{_class}_%{_subclass}_%{_region}
%global __requires_exclude pear\\(Christian.php\\)

Name:		php-pear-%{upstream_name}
Version:	0.1.2
Release:	%mkrel 9
Summary:	Driver based class to calculate holidays in %{_region}
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/%{upstream_name}/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-pear-Date_Holidays >= 0.21.1
BuildRequires:	php-pear
BuildArch:	noarch

%description
%{upstream_name} is the Date_Holidays driver for %{_region} region.

%prep
%setup -q -c 
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-9.mga5
+ Revision: 745096
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-8.mga5
+ Revision: 687231
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.1.2-7.mga4
+ Revision: 516631
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.2-6.mga3
+ Revision: 376066
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 15 2011 spuhler <spuhler> 0.1.2-5.mga1
+ Revision: 71925
- added  define _requires_exceptions pear(Christian.php) to resilve circ. dep
  increase rel for rebuild

* Sat Feb 05 2011 spuhler <spuhler> 0.1.2-4.mga1
+ Revision: 47250
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Date_Holidays_Norway


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-4mdv2011.0
+ Revision: 613645
- the mass rebuild of 2010.1 packages

* Wed Dec 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.2-3mdv2010.1
+ Revision: 479299
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1
- spec cleanup

* Mon Apr 20 2009 Raphaël Gertz <rapsys@mandriva.org> 0.1.2-1mdv2009.1
+ Revision: 368148
- Add spec and source files for php-pear-Date_Holidays_Norway
- Update inscorrect package name
- Add new splited php-pear-Date_Holidays package upstream structure

